> ## Documentation Index
> Fetch the complete documentation index at: https://docs-en.basswallet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Address Deposit (Webhook)

> The platform actively sends requests to merchants to notify them in real-time about updates to deposit orders.

### Endpoint

**POST** `Callback address configured by the merchant`

<Tip>
  Each deposit order triggers two callbacks. Click [here](/user-guide/useful-docs/webhook) for detailed callback rules.
</Tip>

### Request Parameters

| Parameter           | Data Type | Required | Description                                                                                                         |
| ------------------- | --------- | -------- | ------------------------------------------------------------------------------------------------------------------- |
| **webhookType**     | `String`  | Yes      | Callback type, set to `Deposit` for this webhook.                                                                   |
| **id**              | `String`  | Yes      | Order ID.                                                                                                           |
| **status**          | `String`  | Yes      | Order status. Refer to the order status enum.                                                                       |
| **chainName**       | `String`  | Yes      | Blockchain name.                                                                                                    |
| **tokenName**       | `String`  | Yes      | Token name.                                                                                                         |
| **fromAddress**     | `String`  | Yes      | Sender's address.                                                                                                   |
| **toAddress**       | `String`  | Yes      | Recipient's address, i.e., your deposit address.                                                                    |
| **txHash**          | `String`  | Yes      | On-chain transaction hash.                                                                                          |
| **amount**          | `String`  | Yes      | Amount deposited.                                                                                                   |
| **blockHigh**       | `Integer` | Yes      | Block height where the transaction resides.                                                                         |
| **blockConfirmNum** | `Integer` | Yes      | Number of block confirmations at the time of callback. Indicates how many times the transaction has been confirmed. |
| **createdTime**     | `Long`    | Yes      | Creation time (UTC).                                                                                                |
| **timestamp**       | `Long`    | Yes      | UNIX timestamp (in milliseconds).                                                                                   |

### Request Example

```json theme={null}
{
    "amount": "10",
    "blockConfirmNum": 1,
    "blockHigh": 51259775,
    "chainName": "Tron",
    "createdTime": 1729476831813,
    "fromAddress": "TKjLDbk7LC9NXzRBCYahKa8pzMHRfahJjn",
    "id": "603277493897662464",
    "status": "WaitingConfirmation",
    "toAddress": "TTSgF6XEd1TbEH3fPuC4Zypn7UZsxetEcH",
    "tokenName": "TRX",
    "txHash": "a43d0157e327da5fe5912e5ff91939a4c142cfa1ebedea0a40b4e118d35425d2",
    "webhookType": "Deposit",
    "timestamp": 1729476831813
}
```
